edu.sc.seis.sod

## Class UserReportRetryStrategy

- java.lang.Object
- - edu.sc.seis.fissuresUtil.cache.BaseRetryStrategy
  - - edu.sc.seis.fissuresUtil.cache.ClassicRetryStrategy
    - - edu.sc.seis.sod.UserReportRetryStrategy

- All Implemented Interfaces:
    edu.sc.seis.fissuresUtil.cache.RetryStrategy

      public class UserReportRetryStrategy
      extends edu.sc.seis.fissuresUtil.cache.ClassicRetryStrategy

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `WILY_NS_URL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserReportRetryStrategy()`
    `UserReportRetryStrategy(int numRetries)`
    `UserReportRetryStrategy(int numRetries, java.lang.String additionalInfo)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getWilyURL()`
    `void` | `serverRecovered(java.lang.Object server)`
    `boolean` | `shouldRetry(java.lang.Throwable exc, java.lang.Object server, int tryCount)`

    - ### Methods inherited from class edu.sc.seis.fissuresUtil.cache.BaseRetryStrategy

      `basicShouldRetry`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### WILY_NS_URL

          public static final java.lang.String WILY_NS_URL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UserReportRetryStrategy

          public UserReportRetryStrategy(int numRetries,
                                         java.lang.String additionalInfo)

    - #### UserReportRetryStrategy

          public UserReportRetryStrategy(int numRetries)

    - #### UserReportRetryStrategy

          public UserReportRetryStrategy()

  - ### Method Detail

    - #### shouldRetry

          public boolean shouldRetry(java.lang.Throwable exc,
                                     java.lang.Object server,
                                     int tryCount)

      Specified by:
        `shouldRetry` in interface `edu.sc.seis.fissuresUtil.cache.RetryStrategy`
      Overrides:
        `shouldRetry` in class `edu.sc.seis.fissuresUtil.cache.ClassicRetryStrategy`

    - #### serverRecovered

          public void serverRecovered(java.lang.Object server)

      Specified by:
        `serverRecovered` in interface `edu.sc.seis.fissuresUtil.cache.RetryStrategy`
      Overrides:
        `serverRecovered` in class `edu.sc.seis.fissuresUtil.cache.ClassicRetryStrategy`

    - #### getWilyURL

          public static java.lang.String getWilyURL()